import 'package:fluent_ui/fluent_ui.dart';
import 'package:info_tren/components/select_train_suggestions/select_train_suggestions.dart';
import 'package:info_tren/models.dart';

class SelectTrainSuggestionsFluent extends SelectTrainSuggestionsShared {
  const SelectTrainSuggestionsFluent({
    super.key,
    required super.choices,
    required super.onTrainSelected,
    super.currentInput,
  });

  @override
  Widget getUseCurrentInputWidget(String currentInput, void Function(String) onTrainSelected) {
    return Column(
      mainAxisSize: MainAxisSize.min,
      children: <Widget>[
        Padding(
            padding: const EdgeInsets.all(0),
            child: Column(
              mainAxisSize: MainAxisSize.min,
              children: <Widget>[
                Button(
                  child: Text(getUseCurrentInputWidgetText(currentInput)),
                  onPressed: () => onTrainSelected(currentInput),
                ),
              ],
            )
        ),
        const Divider(),
      ],
    );
  }
}

class OperatorAutocompleteTileFluent extends OperatorAutocompleteTile {
  const OperatorAutocompleteTileFluent({
    Key? key,
    required String operatorName,
    required void Function(String) onTrainSelected,
    required TrainsResult train
  }): super(
    onTrainSelected: onTrainSelected,
    operatorName: operatorName,
    train: train,
    key: key,
  );

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisSize: MainAxisSize.min,
      children: [
        GestureDetector(
          onTap: () {
            onTrainSelected(train.number);
          },
          child: Padding(
            padding: const EdgeInsets.fromLTRB(16, 4, 16, 4),
            child: SizedBox(
              width: double.infinity,
              child: Column(
                mainAxisSize: MainAxisSize.min,
                crossAxisAlignment: CrossAxisAlignment.stretch,
                children: <Widget>[
                  Text(
                    operatorName,
                    style: FluentTheme.of(context).typography.body?.copyWith(fontSize: 10, fontWeight: FontWeight.w200),
                    textAlign: TextAlign.left,
                  ),
                  Text(
                    "${train.rank} ${train.number}",
                    textAlign: TextAlign.left,
                  ),
                ],
              ),
            ),
          ),
        ),
        const Divider(),
      ],
    );
  }
}
