import 'package:fluent_ui/fluent_ui.dart';
import 'package:info_tren/pages/station_arrdep_page/select_station/select_station.dart';

class SelectStationPageFluent extends SelectStationPageShared {
  const SelectStationPageFluent({super.key});

  @override
  State<StatefulWidget> createState() => SelectStationPageStateFluent();
}

class SelectStationPageStateFluent extends SelectStationPageState {
  @override
  Widget build(BuildContext context) {
    return NavigationView(
      appBar: const NavigationAppBar(
        title: Text(SelectStationPageState.pageTitle),
        // centerTitle: true,
      ),
      content: SafeArea(
        bottom: false,
        child: Column(
          mainAxisSize: MainAxisSize.max,
          children: [
            Padding(
              padding: const EdgeInsets.all(4),
              child: TextBox(
                controller: textEditingController,
                autofocus: true,
                placeholder: SelectStationPageState.textFieldLabel,
                textInputAction: TextInputAction.search,
                onChanged: onTextChanged,
              ),
            ),
            Expanded(
              child: ListView.builder(
                itemBuilder: (context, index) {
                  return Column(
                    mainAxisSize: MainAxisSize.min,
                    children: [
                      ListTile(
                        // dense: true,
                        title: Text(filteredStations[index]),
                        onPressed: () => onSuggestionSelected(filteredStations[index]),
                      ),
                      const Divider(
                        size: 1,
                      ),
                    ],
                  );
                },
                itemCount: filteredStations.length,
              ),
            ),
          ],
        ),
      ),
    );
  }
}
