import 'package:fluent_ui/fluent_ui.dart';
import 'package:flutter/services.dart';
import 'package:info_tren/pages/train_info_page/select_train/select_train.dart';

class SelectTrainPageFluent extends SelectTrainPageShared {
  const SelectTrainPageFluent({super.key});

  @override
  State<SelectTrainPageShared> createState() => SelectTrainPageStateFluent();
}

class SelectTrainPageStateFluent extends SelectTrainPageState {
  @override
  Widget build(BuildContext context) {
    return NavigationView(
      appBar: NavigationAppBar(
        title: Text(pageTitle),
      ),
      content: SafeArea(
        bottom: false,
        child: Column(
          mainAxisSize: MainAxisSize.max,
          children: <Widget>[
            Padding(
              padding: const EdgeInsets.all(4),
              child: TextBox(
                controller: trainNoController,
                autofocus: true,
                placeholder: textFieldLabel,
                textInputAction: TextInputAction.search,
                keyboardType: TextInputType.number,
                onChanged: (_) => onTextChanged(),
                inputFormatters: [
                  FilteringTextInputFormatter.digitsOnly,
                ],
              ),
            ),
            Expanded(
              child: suggestionsList,
            ),
          ],
        ),
      ),
    );
  }
}
